# IRdCompatibilityNormalsStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertexNormals ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertexNormals ([in] RtDWORD dwNumVertexNormals)
## Properties
RtFloat * | x ([in] RtDWORD dwIndex)`[get]`
RtFloat | x ([in] RtDWORD dwIndex)`[set]`
RtFloat * | y ([in] RtDWORD dwIndex)`[get]`
RtFloat | y ([in] RtDWORD dwIndex)`[set]`
RtFloat * | z ([in] RtDWORD dwIndex)`[get]`
RtFloat | z ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdCompatibilityNormalsStream specifies normals. This stream is deprecated, please use RdNormalsStream instead.

Stream is identified by STREAMID_NORMALS id and is stored in custom stream group.

## Member Function Documentation

HRESULT IRdCompatibilityNormalsStream::GetNumVertexNormals | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of normals

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdCompatibilityNormalsStream::SetNumVertexNormals | ( | [in] RtDWORD | dwNumVertexNormals | ) |

Set number of normals

Returns:
  standard HRESULT processing can be applied to returned value

## Property Documentation

RtFloat* IRdCompatibilityNormalsStream::x([in] RtDWORD dwIndex)`[get]`

Get X coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | pVal | filled with X coordinate

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdCompatibilityNormalsStream::x([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | newVal | filled with X coordinate

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat* IRdCompatibilityNormalsStream::y([in] RtDWORD dwIndex)`[get]`

Get Y coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | pVal | filled with Y coordinate

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdCompatibilityNormalsStream::y([in] RtDWORD dwIndex)`[set]`

Set Y coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | newVal | filled with Y coordinate

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat* IRdCompatibilityNormalsStream::z([in] RtDWORD dwIndex)`[get]`

Get Z coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | pVal | filled with Z coordinate

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdCompatibilityNormalsStream::z([in] RtDWORD dwIndex)`[set]`

Set Z coordinate of i-th normal

Parameters:

  | dwIndex | Index item
  | newVal | filled with Z coordinate

Returns:
  standard HRESULT processing can be applied to returned value